Bug 757914 - openNi crashes because of compiled in SSE2 support with illegal instruction
Summary: openNi crashes because of compiled in SSE2 support with illegal instruction
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openni
Version: 16
Hardware: i686
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Tim Niemueller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-29 00:07 UTC by Oliver Burtchen
Modified: 2011-12-31 20:25 UTC (History)
2 users (show)

Fixed In Version: openni-primesense-5.0.3.3-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-24 09:55:05 UTC


Attachments (Terms of Use)
Disable SSE by default (536 bytes, patch)
2011-11-29 00:07 UTC, Oliver Burtchen
no flags Details | Diff

Description Oliver Burtchen 2011-11-29 00:07:09 UTC
Created attachment 537702 [details]
Disable SSE by default

Description of problem:
OpenNi is compiled with SSE2 support, but has no runtime-check if the actual machine supports it. This is true for my Athlon XP 2800+, which has only SSE. 


Version-Release number of selected component (if applicable):
openni-1.0.0.25-0.5.git4c9ff978.fc16.i686
openni-1.3.2.1-0.2.gitf8467404.fc16.i686

How reproducible:
On a platform without SSE2 for example:
1) nepomukservicestub crashes with illegal instruction when KDE starts up.
2) DigiKam/showfoto crash with illegal instruction


Expected results:
The minimal requirements for F16 are Pentium Pro, so it should run without any SSE.


Additional info:
I confirmed my suggestion by recompiling openni without SSE and it works flawlessly. Attached is my patch. Also SSE_GENERATION=0 in the SPEC-File must be set.

Comment 1 Fedora Update System 2011-12-23 01:45:04 UTC
openni-primesense-5.0.3.3-1.fc15,openni-1.3.2.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/openni-primesense-5.0.3.3-1.fc15,openni-1.3.2.1-2.fc15

Comment 2 Fedora Update System 2011-12-23 01:45:36 UTC
openni-primesense-5.0.3.3-1.fc16,openni-1.3.2.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/openni-primesense-5.0.3.3-1.fc16,openni-1.3.2.1-2.fc16

Comment 3 Fedora Update System 2011-12-23 22:19:59 UTC
Package openni-primesense-5.0.3.3-1.fc16, openni-1.3.2.1-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openni-primesense-5.0.3.3-1.fc16 openni-1.3.2.1-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-17404/openni-primesense-5.0.3.3-1.fc16,openni-1.3.2.1-2.fc16
then log in and leave karma (feedback).

Comment 4 Oliver Burtchen 2011-12-24 09:55:05 UTC
I confirm the described issue is fixed with openni-1.3.2.1-2.fc16.
Thanks to the one who did it.
Merry christmas.

Comment 5 Tim Niemueller 2011-12-24 10:00:37 UTC
Happy to hear that. Half of the fix is openni-primesense, together with disabling SSE. Merry Christmas!

Comment 6 Fedora Update System 2011-12-31 20:25:29 UTC
openni-primesense-5.0.3.3-1.fc15, openni-1.3.2.1-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-12-31 20:25:49 UTC
openni-primesense-5.0.3.3-1.fc16, openni-1.3.2.1-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.